Update a job_files by supplying directly the field job_files.file_content as Byte Array

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_files
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

jobs_id

Job Id

globally unique identifier

Required

job_approval_id

Job approval Id

globally unique identifier

Required

file_name

Name of the file

string

Required

Max length: 100

name

string

Max length: 100

description

Description of the file

string
tags

Tags of the file

string
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_type

Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string

Max length: 200

image_height

In case of picture, the original heigth

integer
image_width

In case of picture, the original width

integer
file_size

Size in bytes of the file_content

integer
sales_organization_id

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_content

The file content, in Byte Array. Use this field when using POST/PUT

Collection of byte
dateutc_added

Date UTC when file has been added

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
user_id

globally unique identifier
show_on_web

boolean
db_report_id

The id of db_report

globally unique identifier

Request Formats :

application/json, text/json

Sample:
{
  "id": "e6cc81bb-2b4d-483f-b0fe-735ab9ecc92f",
  "jobs_id": "fc93582e-40a8-455b-9c09-96b921550740",
  "job_approval_id": "06cdbff0-35e6-47fc-b0dc-cf4532edfc22",
  "file_name": "sample string 4",
  "name": "sample string 5",
  "description": "sample string 6",
  "tags": "sample string 7",
  "mime_type": "sample string 8",
  "file_type": "sample string 9",
  "image_height": 10,
  "image_width": 11,
  "file_size": 12,
  "sales_organization_id": "6c9521a6-c26b-49f0-8570-635132bbb159",
  "sales_organization_code": "sample string 14",
  "file_content": "QEA=",
  "dateutc_added": "2026-04-18T03:51:16.4055666+00:00",
  "modified_dateutc": "2026-04-18T03:51:16.4055666+00:00",
  "user_id": "e3cb5d25-dd07-47ad-8b07-cac715bacdba",
  "show_on_web": true,
  "db_report_id": "7de6150e-8522-4fc5-a082-872d97a8d847"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.